phing-tasks-ext-phpunit

# Class: PHPUnitTask Source Location: /tasks/ext/phpunit/PHPUnitTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PHPUnitTask
Runs PHPUnit tests. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: PHPUnitTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods addFormatter createBatchTest init main setBootstrap setCodecoverage setErrorproperty setExcludeGroups setFailureproperty setGroups setHaltonerror setHaltonfailure setHaltonincomplete setHaltonskipped setIncompleteproperty setPrintsummary setSkippedproperty
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] Runs PHPUnit tests. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: PHPUnitTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
see: | BatchTest
since: | 2.1.0
[ Top ] ### Class Methods ### method addFormatter [line 193]
`void addFormatter( FormatterElement $fe)`
Add a new formatter to all tests of this task. #### Parameters:
FormatterElement | $fe | formatter element
[ Top ] ### method createBatchTest [line 350]
`BatchTest createBatchTest( )`
Adds a set of tests based on pattern matching. #### Tags:
return: | a new instance of a batch test.
[ Top ] ### method init [line 62]
`void init( )`
Initialize Task. This method includes any necessary PHPUnit2 libraries and triggers appropriate error if they cannot be found. This is not done in header because we may want this class to be loaded w/o triggering an error. Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 203]
`void main( )`
The main entry point #### Tags:
throws: | BuildException
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setBootstrap [line 111]
`void setBootstrap( string $bootstrap)`
Sets the name of a bootstrap file that is run before executing the tests #### Parameters:
string | $bootstrap | the name of the bootstrap file
[ Top ] ### method setCodecoverage [line 161]
`void setCodecoverage( $codecoverage)`
#### Parameters:
| $codecoverage |
[ Top ] ### method setErrorproperty [line 116]
`void setErrorproperty( $value)`
#### Parameters:
| $value |
[ Top ] ### method setExcludeGroups [line 177]
`void setExcludeGroups( $excludeGroups)`
#### Parameters:
| $excludeGroups |
[ Top ] ### method setFailureproperty [line 121]
`void setFailureproperty( $value)`
#### Parameters:
| $value |
[ Top ] ### method setGroups [line 166]
`void setGroups( $groups)`
#### Parameters:
| $groups |
[ Top ] ### method setHaltonerror [line 136]
`void setHaltonerror( $value)`
#### Parameters:
| $value |
[ Top ] ### method setHaltonfailure [line 141]
`void setHaltonfailure( $value)`
#### Parameters:
| $value |
[ Top ] ### method setHaltonincomplete [line 146]
`void setHaltonincomplete( $value)`
#### Parameters:
| $value |
[ Top ] ### method setHaltonskipped [line 151]
`void setHaltonskipped( $value)`
#### Parameters:
| $value |
[ Top ] ### method setIncompleteproperty [line 126]
`void setIncompleteproperty( $value)`
#### Parameters:
| $value |
[ Top ] ### method setPrintsummary [line 156]
`void setPrintsummary( $printsummary)`
#### Parameters:
| $printsummary |
[ Top ] ### method setSkippedproperty [line 131]
`void setSkippedproperty( $value)`
#### Parameters:
| $value |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:42 +0200 by phpDocumentor 1.4.3